{ inputs, config, pkgs, ... }:
{
  imports = [
    (import ../Common/default.nix { inherit inputs config pkgs; })
    (import ../Common/nfs.nix { inherit inputs pkgs config; })
  ];

  services.ollama = {
      enable = true;
  };

  zramSwap.enable = true;
  networking.wg-quick.interfaces = {
    wg0 = {
      address = [ "10.0.0.12/24" ];
      privateKeyFile = "/home/user/.secrets/Wireguard/Riva.key";
      listenPort = 51820;
      peers = [{
        publicKey = "/9ppjm3yeD0duDvxrqgcHscHmftXko+0s2RbivNEy2c=";
        allowedIPs = [ "10.0.0.1/8" ];
        endpoint = "192.168.1.1:13231";
      }];
    };
  };
}
